<?xml version="1.0" encoding="utf-8"?>
<com.sothree.slidinguppanel.SlidingUpPanelLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:sothree="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/sliding_layout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="bottom"
    sothree:umanoDragView="@id/dragView"
    sothree:umanoOverlay="false"
    sothree:umanoPanelHeight="0dp"
    sothree:umanoShadowHeight="0dp">
    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">
        <com.tencent.tencentmap.mapsdk.maps.MapView
            android:id="@+id/treasure_map"
            android:layout_width="10dp"
            android:layout_height="10dp"
            android:layout_marginTop="?attr/actionBarSize"
            android:focusableInTouchMode="false"
            android:gravity="center"
            android:focusable="false">
        </com.tencent.tencentmap.mapsdk.maps.MapView>

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:gravity="center">


            <ImageView
                android:id="@+id/iv_message"
                android:layout_width="25dp"
                android:layout_height="25dp"
                android:layout_marginTop="80dp"
                android:layout_marginLeft="20dp"
                android:background="@drawable/iv_message"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent">
            </ImageView>


            <FrameLayout
                android:id="@+id/frame_layout"
                android:layout_width="match_parent"
                android:layout_height="200dp"
                android:background="@color/white"
                android:visibility="gone"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                />

            <CheckBox
                android:id="@+id/cb_map_type"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginRight="15dp"
                android:background="@drawable/atlas_selector"
                android:button="@null"
                android:checked="false"
               app:layout_constraintBottom_toTopOf="@+id/iv_submit"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@+id/iv_zoom_add"
                />


            <ImageView
                android:id="@+id/iv_submit"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:src="@mipmap/submit"
                app:layout_constraintBottom_toBottomOf="@id/iv_refrish"
                app:layout_constraintLeft_toLeftOf="@id/cb_map_type"
                app:layout_constraintTop_toTopOf="@id/iv_zoom_del"
                />

            <ImageView
                android:id="@+id/iv_filter"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginTop="15dp"
                android:src="@mipmap/filter"
                app:layout_constraintLeft_toLeftOf="@id/cb_map_type"
                app:layout_constraintTop_toBottomOf="@id/iv_submit"
                />

            <ImageView
                android:id="@+id/iv_zoom_add"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginLeft="15dp"
                android:layout_marginTop="15dp"
                android:src="@mipmap/zoom_add"
                app:layout_constraintLeft_toLeftOf="parent"
               app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent"
                />

            <ImageView
                android:id="@+id/iv_zoom_del"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginTop="15dp"
                android:src="@mipmap/zoom_del"
                app:layout_constraintLeft_toLeftOf="@id/iv_zoom_add"
                app:layout_constraintTop_toBottomOf="@id/iv_zoom_add"
                />

            <ImageView
                android:id="@+id/iv_refrish"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginTop="15dp"
                android:src="@mipmap/refresh"
                app:layout_constraintLeft_toLeftOf="@id/iv_zoom_del"
                app:layout_constraintTop_toBottomOf="@id/iv_zoom_del"
                />

            <ImageView
                android:id="@+id/iv_location"
                android:layout_width="50dp"
                android:layout_height="50dp"
                android:layout_marginTop="15dp"
                android:src="@mipmap/mine_location"
                app:layout_constraintLeft_toLeftOf="@id/iv_refrish"
                app:layout_constraintTop_toBottomOf="@id/iv_refrish"
                />
        </androidx.constraintlayout.widget.ConstraintLayout>
    </FrameLayout>

    <LinearLayout
        android:id="@+id/dragView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clickable="true"
        android:focusable="true"
        android:orientation="vertical">

    <!--    <ScrollView

            android:layout_width="match_parent"
            android:layout_height="wrap_content">        </ScrollView>-->
            <LinearLayout
                android:id="@+id/scroll_parent_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">
                <FrameLayout
                    android:id="@+id/scroll_view"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"></FrameLayout>
            </LinearLayout>


    </LinearLayout>
</com.sothree.slidinguppanel.SlidingUpPanelLayout>